Remove CommonMark experimental flag and mark as deprecated the RedCarpet Markdown
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 5.1.0   

Description

Related issues:

Related to Redmine - Feature #32424: CommonMark Markdown Text Formatting Closed

Related to Redmine - Feature #38372: Use Commonmarker instead of Redcarpet by... Closed

Blocks Redmine - Feature #34863: Change default text formatter for new instal... Closed

Associated revisions

Revision 21594 - 2022-05-17 23:12 - Marius BĂLTEANU

Remove experimental flag from CommonMark text formatter (#36807).

Revision 21595 - 2022-05-17 23:14 - Marius BĂLTEANU

Revert unwanted change (#36807).

Revision 21898 - 2022-10-04 21:41 - Marius BĂLTEANU

Mark legacy Markdown text formatting option as deprecated (#36807).

Revision 22146 - 2023-03-23 05:45 - Go MAEDA

Use Commonmarker instead of Redcarpet by default when rendering Markdown attachments (#36807, #38372).

Patch by Mizuki ISHIKAWA.

History

#1 - 2022-03-19 13:04 - Marius BĂLTEANU

- Related to Feature #32424: CommonMark Markdown Text Formatting added

#2 - 2022-03-28 23:08 - Marius BĂLTEANU

- Target version changed from Candidate for next major release to 5.1.0

#3 - 2022-03-29 10:43 - Go MAEDA

- Blocks Feature #34863: Change default text formatter for new installations from textile to common_mark added

#4 - 2022-05-31 07:31 - Go MAEDA

- Category set to Text formatting

#5 - 2022-05-31 10:51 - Holger Just

For what it's worth, I'm in favor of

Removing the experimental flag on the common_mark formatter

Marking the previous markdown formatter as deprecated

Making the common_mark formatter the default for new installations #34863

The timeline of this may be stretched out a bit, but does not necessarily have to. The deprecation / experimental "flags" on the formatters do not

change anything in terms of functionality and can be set in a 5.0.x patch release.

The default formatter is only relevant for new installations. I have no strong opinion on whether this requires a major release (6.0.0) or minor release

(5.1.0). I have a slight hunch that it might be surprising in a patch release (5.0.x).
#6 - 2022-06-25 19:52 - Marius BĂLTEANU

I think we do all these changes in 5.1.0.

The experimental flag was already removed in r21594 and I will deprecate markdown right after we switch the default formatter to common_mark (

#34863).

#7 - 2022-10-04 21:43 - Marius BĂLTEANU

- Status changed from New to Resolved

I'va marked in r21898 the legacy Markdown as deprecated, but I think we should show this deprecation also in admin/info for those instances that are

using this option.

What do you think?

#8 - 2022-10-12 06:14 - Go MAEDA

Marius BALTEANU wrote:

I'va marked in r21898 the legacy Markdown as deprecated, but I think we should show this deprecation also in admin/info for those instances

that are using this option.

 I agree. I think such a warning is helpful to encourage admins to migrate to CommonMark Markdown.

#9 - 2022-12-03 14:17 - Marius BĂLTEANU

- File deprecations.png added

What do you think if we add a deprecation table to the Admin -> Info page?

 deprecations.png 

#10 - 2023-03-22 01:57 - Go MAEDA

- Related to Feature #38372: Use Commonmarker instead of Redcarpet by default when rendering Markdown attachments added

#11 - 2023-10-08 01:49 - Go MAEDA

- Status changed from Resolved to Closed

Files
